!Control file for program SMC2PSA_Rot_GMRot_interp_acc_Rot_Osc_TS
! Revision of program involving a change in the control file on this date:
   02/09/18
!Summary file name:
 smc2psa_rot_gmrot_interp_acc_rot_osc_ts.sum
!d_rot_angle
  1.0 
!Specify response spectral periods
! yfull: the full set of the PEER NGA-W2 periods
! ysub:  a subset of the PEER NGA periods  
! nlog: in the next line give nperiods, per_low, per_high.
! nlin: in the next line give nperiods and the period values
! yfull
 nlin
!if "nlog" or "nlin", then specify periods (see above).
!need these as placeholders, even if use NGA periods
! 5 0.01 12 ! for nlog
  10  0.01 0.025 0.05 0.1 0.2 0.4 1.0 2.0 4.0 8.0
!Fractional damping: ndamp, damp(1), damp(2), ..., damp(ndamp):
 5 0.01, 0.02, 0.05, 0.10, 0.20
!t4mean (removes a mean from the whole record, where the mean is
!  determined from t = 0 to t = t4mean.  If t4mean = 0.0,
!  the mean of the whole record is used, and if t4mean < 0, no mean is
!  removed.  
! NOTE: need entries even if the parameter is not used (because read
! info use list-directed [unformatted] input) 
! Note that if working with a processed record that includes the 
! complete time series produced by the processing (e.g., the padded time series
! for acausal filtering or the post-processing baseline corrected time series
! produced from pad-stripped or pass-through data in the first NGA project), 
! it is inadvisible to remove the mean as this may 
! produce unintended distortions at long periods; in this case set t4mean < 0.0.
! If the record is pad-stripped, however, as provided by most
! data centers, without post-processing to remove drifts in displacement,
! a mean determined from the overall record probably should be 
! removed.  But in this case the displacement will probably be inaccurate
! (compared to the displacement derived from the padded, filtered acceleration
! time series), it may be that a better approach is to specify the initial
! velocity and displacement of the record---I am working on that (11/26/10):
 -10.0  
!Skip analysis (including rotation) if npts differ by more than:
  2
!Tmax4Penalty: Used in the computation of the period-independent GMRotI values.  Tmax4Penalty 
!  is used in the computation of the penalty function, which is 
!  computed up to the period Tmax4Penalty.  Note that Tmax4Penalty 
!  specified may be reset according to this function
!
!     Tmax4Penalty = min(Tmax4Penalty_in, Tmax_PSA),
!
!  where is the longest period for which PSA is  computed (e.g., 10 s 
!  for the NGA periods),  
!    In addition, if the response to "Use the low-cut filter" below is "Y" and
!  the low-cut filter frequencies flc1 and flc2 are specified in real_head(33)
!  of the smc file containing the acceleration time series, then 
!
!     Tmax4Penalty = min(1/max(flc1,flc2), Tmax_PSA).  
!
!  If flc1 and flc2 are not specified, then Tmax4Penalty is given as
!  if the response to "Use the low-cut filter" below is "N"
  20.0
!Use the low-cut filter frequencies in the choice of tmax4penalty, used
!  in computing the penalty function?
!  This option is provided for testing the influence of flc1 and flc2 on the
!  seismic intensity measures for which the rotation angle is independent of period
!  (e.g., gmroti50).   The PSA will be computed up to the longest period
!  specified in the lines above "Damping value", regardless of the low-cut filter
!  frequency.  It is up to the user to decide on the longest period for which
!  the response spectra should be used (e.g., Tusable = eta*1/max(flc1, flc2), 
!  where eta might be 1/2 to be conservative or 1/1.25 as assumed for many of the
!  records in the NGA flatfile; see lowest_usable_freq_for_response_spectra_v20.pdf 
!  in the "daves notes" page on www.daveboore.com or Akkar, S. and J. J. Bommer (2006), 
!  Infuence of long-period filter cut-off on elastic spectral displacements,
!  Earthquake Engng Struct. Dyn. 35, 1145-1165
  N
!If the low-cut filter frequencies are to be used to obtain Tmax4Penalty, 
!  1/max(flc1, flc2) is multiplied by the inverse of the factor to obtain 
!  Tmax4Penalty (e.g., if the factor below is 1.5, then 
!  Tmax4Penalty = 1/(1.5*max(flc1, flc2))).  The factor is included to allow
!  consistency with the calculation of Tusable in the PEER NGA flatfile
!  (in the flatfile the factor is most commonly 1.25, although 1.5 or
!  even 2.0 may be more appropriate in many cases---see the notes and paper
!  referred to above) (Note: a dummy entry is needed even if 
!  flc1, flc2 are not used to obtain Tmax4Penalty):
  1.5
!Output separate files for each pair of time series? (Y,N):
 N
!
!Stem name of output file (a period is not needed at the end of the character string; 
!  the time series file name will be appended to this string IF the option above is "Y"):
 smc2psa_rot_gmrot_interp_acc_rot_osc_ts
!
!Are the units of acceleration in g (Y/N):
! if N, I assume that the units are cm/s/s and g2gals is not used.  If N but the units are not gals,
!   it is up to the user to scale the output appropriately.
! if Y, the program uses g2gals to convert to cm/s/s before doing the processing.
!The accelerations from the PEER databases are in g (usually?  always?), whereas
!those in smc format from the USGS are in cm/s/s.  But always check this.
 Y
!Do you want PSA, PGA values in cm/s/s (gals)? (Y,N):
!Note. Because the acceleration has been converted to cm/s/s units, if not already in cm/s/s, before processing:
!  if N: the output of the processing is multiplied by 1.0/g2gals.
!  if Y: g2gals is not used.
 N
!g2gals (usually 981.0; 1.0 is OK if input is in gals and output is in gals, but in this case, g2gals is
!not used, so it probably should be left as 981.0 or whatever other g/gals factor is being used.)
  981.0
!Fraction of the smaller of the largest absolute motions on each of the two horizontal components.
! This is used in selecting subsets for rotation. The larger the value of fraction,
! the smaller the output time series (0.0 selects the whole time series).
! This meaning of "fraction" may be confusing, as it might be natural to think that 
! the larger the fraction, the more of the oscillator time series will be rotated.  
! But it is just the opposite.  Fraction is used in setting the level "alevel" above 
! which the subset of the oscillator time series is chosen, according to
!               alevel = fraction*amin1(peak_y1, peak_y2)
! Wang et al. (2018) recommend these choices for the fraction:
! Measure   fraction
!  RotD00    0.0
!  GMRotI50  0.5
!  RotD50    0.7
!  RotD100   0.7
!  Wang et al. (2018) only compared fraction = 0.0 results with fraction = 0.5 and 0.7, so it could be that
! their recommendations are conservative (the smaller the value of fraction, the longer the
! run time).  For example, it could be that a value of fraction between 0.0 and 0.5 would 
! be adequate for RotD00.
 0.70
!The interpolation factor, specifying the factor used to extend the original time series
! for resampling of the input time series using a FFT (this must be a power of two--1, 2, 4, 8, 16,
! ...; the program checks for this; the interpolation can be turned off by specifying 1 as 
! the interpolation factor). I recommend an interpolation factor of 8; there is no advantage to 
! using a greater factor, since for short period response spectra, the Nyquist frequency is the 
! critical frequency, not the oscillator frequency (see Wang et al., 2018)
 8
!List of file names (assumes pairs of files): 
! The order of component 1 and component 2 makes no difference to the gmrot and rot
! values, but the azimuth of component 2 relative to component 1 (+90 or -90) does
! make a difference for the azimuth corresponding to rotd100. 
! In this version of the program I do use the actual azimuths, if available.  If
! they not specified in the smc file (int_head(14)=inull), I set azm_in(1) = 0.0
! and azm_in(2) = 90.0.   If it is known that azm_in(2) = azm_in(1) - 90, then
! the order of the pair of files for each record should be switched, as then
! the angles for rotd00 and rotd100 will be relative to azm_in(1).
!
! ********  NOTE *************
! The pairs of files must be time aligned
! ********  NOTE *************
!
    0516a.smc
    0516c.smc
    0526a.smc
    0526c.smc
  StoP
 
 

 




  